diff --git a/doc/bashref.ps b/doc/bashref.ps
index f754613b..cd7e7a66 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -13277,487 +13289,500 @@ b(only)f(in)f(shell)g(functions)g(and)g(external)630
 956 y(commands)32 b(in)m(v)m(ok)m(ed)i(b)m(y)e(the)g(programmable)h
 (completion)g(facilities)i(\(see)e(Section)g(8.6)630
 1066 y([Programmable)e(Completion],)h(page)f(126\).)150
-1241 y Ft(COMP_KEY)96 b Fu(The)29 b(k)m(ey)i(\(or)g(\014nal)e(k)m(ey)i
+1219 y Ft(COMP_KEY)96 b Fu(The)29 b(k)m(ey)i(\(or)g(\014nal)e(k)m(ey)i
 (of)f(a)g(k)m(ey)h(sequence\))g(used)e(to)i(in)m(v)m(ok)m(e)h(the)e
-(curren)m(t)g(completion)630 1351 y(function.)150 1526
-y Ft(COMP_WORDBREAKS)630 1636 y Fu(The)f(set)i(of)e(c)m(haracters)j
+(curren)m(t)g(completion)630 1329 y(function.)150 1482
+y Ft(COMP_WORDBREAKS)630 1592 y Fu(The)f(set)i(of)e(c)m(haracters)j
 (that)e(the)g(Readline)g(library)g(treats)g(as)g(w)m(ord)g(separators)g
-(when)630 1745 y(p)s(erforming)i(w)m(ord)h(completion.)51
+(when)630 1702 y(p)s(erforming)i(w)m(ord)h(completion.)51
 b(If)33 b Ft(COMP_WORDBREAKS)c Fu(is)34 b(unset,)g(it)f(loses)i(its)e
-(sp)s(ecial)630 1855 y(prop)s(erties,)d(ev)m(en)h(if)f(it)h(is)g
-(subsequen)m(tly)f(reset.)150 2030 y Ft(COMP_WORDS)630
-2140 y Fu(An)36 b(arra)m(y)g(v)-5 b(ariable)37 b(consisting)g(of)f(the)
+(sp)s(ecial)630 1811 y(prop)s(erties,)d(ev)m(en)h(if)f(it)h(is)g
+(subsequen)m(tly)f(reset.)150 1965 y Ft(COMP_WORDS)630
+2074 y Fu(An)36 b(arra)m(y)g(v)-5 b(ariable)37 b(consisting)g(of)f(the)
 g(individual)f(w)m(ords)h(in)f(the)h(curren)m(t)g(command)630
-2250 y(line.)94 b(The)47 b(line)i(is)f(split)g(in)m(to)h(w)m(ords)e(as)
+2184 y(line.)94 b(The)47 b(line)i(is)f(split)g(in)m(to)h(w)m(ords)e(as)
 h(Readline)h(w)m(ould)f(split)g(it,)53 b(using)47 b Ft(COMP_)630
-2359 y(WORDBREAKS)34 b Fu(as)i(describ)s(ed)g(ab)s(o)m(v)m(e.)60
+2293 y(WORDBREAKS)34 b Fu(as)i(describ)s(ed)g(ab)s(o)m(v)m(e.)60
 b(This)36 b(v)-5 b(ariable)37 b(is)f(a)m(v)-5 b(ailable)39
-b(only)e(in)f(shell)h(func-)630 2469 y(tions)32 b(in)m(v)m(ok)m(ed)i(b)
+b(only)e(in)f(shell)h(func-)630 2403 y(tions)32 b(in)m(v)m(ok)m(ed)i(b)
 m(y)d(the)i(programmable)f(completion)h(facilities)h(\(see)f(Section)g
-(8.6)g([Pro-)630 2578 y(grammable)e(Completion],)g(page)g(126\).)150
-2754 y Ft(COMPREPLY)630 2863 y Fu(An)37 b(arra)m(y)h(v)-5
+(8.6)g([Pro-)630 2513 y(grammable)e(Completion],)g(page)g(126\).)150
+2666 y Ft(COMPREPLY)630 2776 y Fu(An)37 b(arra)m(y)h(v)-5
 b(ariable)38 b(from)f(whic)m(h)g(Bash)g(reads)g(the)h(p)s(ossible)e
-(completions)j(generated)630 2973 y(b)m(y)33 b(a)g(shell)h(function)f
+(completions)j(generated)630 2885 y(b)m(y)33 b(a)g(shell)h(function)f
 (in)m(v)m(ok)m(ed)h(b)m(y)f(the)g(programmable)h(completion)g(facilit)m
-(y)h(\(see)f(Sec-)630 3082 y(tion)g(8.6)g([Programmable)g(Completion],)
+(y)h(\(see)f(Sec-)630 2995 y(tion)g(8.6)g([Programmable)g(Completion],)
 h(page)f(126\).)51 b(Eac)m(h)34 b(arra)m(y)g(elemen)m(t)h(con)m(tains)
-630 3192 y(one)c(p)s(ossible)f(completion.)150 3367 y
+630 3104 y(one)c(p)s(ossible)f(completion.)150 3258 y
 Ft(COPROC)192 b Fu(An)27 b(arra)m(y)g(v)-5 b(ariable)28
 b(created)g(to)f(hold)g(the)g(\014le)g(descriptors)g(for)g(output)f
-(from)h(and)f(input)630 3477 y(to)31 b(an)f(unnamed)f(copro)s(cess)i
+(from)h(and)f(input)630 3367 y(to)31 b(an)f(unnamed)f(copro)s(cess)i
 (\(see)g(Section)h(3.2.5)g([Copro)s(cesses],)f(page)g(15\).)150
-3652 y Ft(DIRSTACK)96 b Fu(An)26 b(arra)m(y)h(v)-5 b(ariable)28
+3521 y Ft(DIRSTACK)96 b Fu(An)26 b(arra)m(y)h(v)-5 b(ariable)28
 b(con)m(taining)g(the)f(curren)m(t)f(con)m(ten)m(ts)j(of)e(the)f
-(directory)i(stac)m(k.)41 b(Direc-)630 3762 y(tories)33
+(directory)i(stac)m(k.)41 b(Direc-)630 3630 y(tories)33
 b(app)s(ear)f(in)g(the)h(stac)m(k)h(in)e(the)h(order)f(they)h(are)g
 (displa)m(y)m(ed)g(b)m(y)f(the)h Ft(dirs)e Fu(builtin.)630
-3871 y(Assigning)f(to)h(mem)m(b)s(ers)f(of)g(this)g(arra)m(y)g(v)-5
+3740 y(Assigning)f(to)h(mem)m(b)s(ers)f(of)g(this)g(arra)m(y)g(v)-5
 b(ariable)31 b(ma)m(y)g(b)s(e)e(used)h(to)h(mo)s(dify)e(directories)630
-3981 y(already)41 b(in)f(the)h(stac)m(k,)k(but)40 b(the)h
+3850 y(already)41 b(in)f(the)h(stac)m(k,)k(but)40 b(the)h
 Ft(pushd)e Fu(and)h Ft(popd)f Fu(builtins)h(m)m(ust)h(b)s(e)e(used)h
-(to)i(add)630 4091 y(and)37 b(remo)m(v)m(e)h(directories.)63
+(to)i(add)630 3959 y(and)37 b(remo)m(v)m(e)h(directories.)63
 b(Assignmen)m(t)37 b(to)h(this)f(v)-5 b(ariable)38 b(will)g(not)f(c)m
-(hange)i(the)e(cur-)630 4200 y(ren)m(t)c(directory)-8
+(hange)i(the)e(cur-)630 4069 y(ren)m(t)c(directory)-8
 b(.)47 b(If)32 b Ft(DIRSTACK)e Fu(is)i(unset,)g(it)h(loses)g(its)g(sp)s
 (ecial)g(prop)s(erties,)f(ev)m(en)h(if)f(it)h(is)630
-4310 y(subsequen)m(tly)d(reset.)150 4485 y Ft(EMACS)240
+4178 y(subsequen)m(tly)d(reset.)150 4332 y Ft(EMACS)240
 b Fu(If)31 b(Bash)h(\014nds)d(this)j(v)-5 b(ariable)32
 b(in)f(the)h(en)m(vironmen)m(t)g(when)e(the)i(shell)f(starts)h(with)f
-(v)-5 b(alue)630 4595 y(`)p Ft(t)p Fu(',)36 b(it)f(assumes)f(that)h
+(v)-5 b(alue)630 4441 y(`)p Ft(t)p Fu(',)36 b(it)f(assumes)f(that)h
 (the)g(shell)f(is)h(running)e(in)h(an)g(Emacs)h(shell)g(bu\013er)e(and)
-h(disables)630 4704 y(line)d(editing.)150 4880 y Ft(ENV)336
+h(disables)630 4551 y(line)d(editing.)150 4704 y Ft(ENV)336
 b Fu(Similar)35 b(to)g Ft(BASH_ENV)p Fu(;)h(used)e(when)g(the)h(shell)g
 (is)g(in)m(v)m(ok)m(ed)h(in)e Fm(posix)h Fu(Mo)s(de)g(\(see)g(Sec-)630
-4989 y(tion)c(6.11)h([Bash)f(POSIX)e(Mo)s(de],)i(page)g(94\).)150
-5165 y Ft(EUID)288 b Fu(The)30 b(n)m(umeric)g(e\013ectiv)m(e)j(user)d
+4814 y(tion)c(6.11)h([Bash)f(POSIX)e(Mo)s(de],)i(page)g(94\).)150
+4967 y Ft(EUID)288 b Fu(The)30 b(n)m(umeric)g(e\013ectiv)m(e)j(user)d
 (id)g(of)g(the)h(curren)m(t)f(user.)40 b(This)30 b(v)-5
-b(ariable)31 b(is)f(readonly)-8 b(.)150 5340 y Ft(FCEDIT)192
-b Fu(The)30 b(editor)h(used)e(as)i(a)g(default)f(b)m(y)h(the)f
-Ft(-e)g Fu(option)h(to)g(the)f Ft(fc)g Fu(builtin)g(command.)p
+b(ariable)31 b(is)f(readonly)-8 b(.)150 5121 y Ft(EXECIGNORE)630
+5230 y Fu(A)37 b(colon-separated)h(list)f(of)f(extended)h(glob)g
+(patterns)f(\(see)i(Section)f(3.5.8.1)i([P)m(attern)630
+5340 y(Matc)m(hing],)i(page)c(31\))h(de\014ning)e(the)h(list)g(of)g
+(\014lenames)g(to)g(b)s(e)g(ignored)g(b)m(y)f(command)p
 eop end
 %%Page: 74 80
 TeXDict begin 74 79 bop 150 -116 a Fu(Chapter)30 b(5:)41
-b(Shell)30 b(V)-8 b(ariables)2459 b(74)150 299 y Ft(FIGNORE)144
-b Fu(A)35 b(colon-separated)i(list)f(of)g(su\016xes)e(to)i(ignore)g
-(when)e(p)s(erforming)g(\014lename)i(comple-)630 408
-y(tion.)k(A)27 b(\014lename)g(whose)f(su\016x)g(matc)m(hes)i(one)f(of)g
-(the)g(en)m(tries)g(in)g Ft(FIGNORE)d Fu(is)j(excluded)630
-518 y(from)j(the)g(list)h(of)g(matc)m(hed)g(\014lenames.)41
+b(Shell)30 b(V)-8 b(ariables)2459 b(74)630 299 y(searc)m(h.)41
+b(Files)29 b(whose)f(full)g(pathnames)g(matc)m(h)h(one)f(of)h(these)f
+(patterns)h(are)f(not)h(consid-)630 408 y(ered)36 b(executable)i
+(\014les)e(for)h(the)f(purp)s(oses)f(of)h(completion)i(and)d(command)h
+(execution.)630 518 y(This)d(do)s(es)g(not)h(a\013ect)h(the)f(b)s(eha)m
+(vior)g(of)f(the)h Ft([)p Fu(,)h Ft(test)p Fu(,)e(and)g
+Ft([[)g Fu(commands.)50 b(Use)34 b(this)630 628 y(v)-5
+b(ariable)33 b(to)f(ignore)h(shared)e(library)h(\014les)g(that)g(ha)m
+(v)m(e)h(the)g(executable)g(bit)f(set,)h(but)f(are)630
+737 y(not)f(executable)h(\014les.)150 886 y Ft(FCEDIT)192
+b Fu(The)30 b(editor)h(used)e(as)i(a)g(default)f(b)m(y)h(the)f
+Ft(-e)g Fu(option)h(to)g(the)f Ft(fc)g Fu(builtin)g(command.)150
+1034 y Ft(FIGNORE)144 b Fu(A)35 b(colon-separated)i(list)f(of)g
+(su\016xes)e(to)i(ignore)g(when)e(p)s(erforming)g(\014lename)i(comple-)
+630 1143 y(tion.)k(A)27 b(\014lename)g(whose)f(su\016x)g(matc)m(hes)i
+(one)f(of)g(the)g(en)m(tries)g(in)g Ft(FIGNORE)d Fu(is)j(excluded)630
+1253 y(from)j(the)g(list)h(of)g(matc)m(hed)g(\014lenames.)41
 b(A)30 b(sample)h(v)-5 b(alue)31 b(is)f(`)p Ft(.o:~)p
-Fu(')150 671 y Ft(FUNCNAME)96 b Fu(An)35 b(arra)m(y)i(v)-5
+Fu(')150 1401 y Ft(FUNCNAME)96 b Fu(An)35 b(arra)m(y)i(v)-5
 b(ariable)36 b(con)m(taining)h(the)f(names)g(of)g(all)g(shell)g
-(functions)g(curren)m(tly)f(in)h(the)630 781 y(execution)g(call)h(stac)
-m(k.)57 b(The)34 b(elemen)m(t)j(with)e(index)g(0)h(is)f(the)g(name)h
-(of)f(an)m(y)h(curren)m(tly-)630 891 y(executing)f(shell)f(function.)51
-b(The)34 b(b)s(ottom-most)h(elemen)m(t)g(\(the)g(one)f(with)g(the)g
-(highest)630 1000 y(index\))e(is)h Ft("main")p Fu(.)44
-b(This)32 b(v)-5 b(ariable)33 b(exists)g(only)g(when)e(a)i(shell)f
-(function)g(is)g(executing.)630 1110 y(Assignmen)m(ts)23
+(functions)g(curren)m(tly)f(in)h(the)630 1511 y(execution)g(call)h
+(stac)m(k.)57 b(The)34 b(elemen)m(t)j(with)e(index)g(0)h(is)f(the)g
+(name)h(of)f(an)m(y)h(curren)m(tly-)630 1620 y(executing)f(shell)f
+(function.)51 b(The)34 b(b)s(ottom-most)h(elemen)m(t)g(\(the)g(one)f
+(with)g(the)g(highest)630 1730 y(index\))e(is)h Ft("main")p
+Fu(.)44 b(This)32 b(v)-5 b(ariable)33 b(exists)g(only)g(when)e(a)i
+(shell)f(function)g(is)g(executing.)630 1840 y(Assignmen)m(ts)23
 b(to)h Ft(FUNCNAME)c Fu(ha)m(v)m(e)k(no)f(e\013ect)h(and)e(return)g(an)
-g(error)g(status.)39 b(If)22 b Ft(FUNCNAME)630 1219 y
+g(error)g(status.)39 b(If)22 b Ft(FUNCNAME)630 1949 y
 Fu(is)30 b(unset,)h(it)g(loses)g(its)f(sp)s(ecial)h(prop)s(erties,)f
 (ev)m(en)h(if)g(it)g(is)f(subsequen)m(tly)g(reset.)630
-1351 y(This)h(v)-5 b(ariable)32 b(can)f(b)s(e)g(used)g(with)g
+2078 y(This)h(v)-5 b(ariable)32 b(can)f(b)s(e)g(used)g(with)g
 Ft(BASH_LINENO)d Fu(and)j Ft(BASH_SOURCE)p Fu(.)40 b(Eac)m(h)32
-b(elemen)m(t)630 1461 y(of)g Ft(FUNCNAME)d Fu(has)j(corresp)s(onding)e
+b(elemen)m(t)630 2188 y(of)g Ft(FUNCNAME)d Fu(has)j(corresp)s(onding)e
 (elemen)m(ts)j(in)f Ft(BASH_LINENO)c Fu(and)k Ft(BASH_SOURCE)c
-Fu(to)630 1570 y(describ)s(e)39 b(the)h(call)h(stac)m(k.)70
+Fu(to)630 2297 y(describ)s(e)39 b(the)h(call)h(stac)m(k.)70
 b(F)-8 b(or)41 b(instance,)i Ft(${FUNCNAME[$i]})35 b
-Fu(w)m(as)41 b(called)f(from)g(the)630 1680 y(\014le)27
+Fu(w)m(as)41 b(called)f(from)g(the)630 2407 y(\014le)27
 b Ft(${BASH_SOURCE[$i+1]})21 b Fu(at)27 b(line)h(n)m(um)m(b)s(er)d
 Ft(${BASH_LINENO[$i]})p Fu(.)34 b(The)27 b Ft(caller)630
-1789 y Fu(builtin)j(displa)m(ys)g(the)h(curren)m(t)f(call)i(stac)m(k)g
-(using)d(this)i(information.)150 1943 y Ft(FUNCNEST)96
+2516 y Fu(builtin)j(displa)m(ys)g(the)h(curren)m(t)f(call)i(stac)m(k)g
+(using)d(this)i(information.)150 2665 y Ft(FUNCNEST)96
 b Fu(If)34 b(set)i(to)f(a)h(n)m(umeric)e(v)-5 b(alue)36
 b(greater)g(than)e(0,)j(de\014nes)d(a)h(maxim)m(um)g(function)g
-(nesting)630 2052 y(lev)m(el.)42 b(F)-8 b(unction)29
+(nesting)630 2774 y(lev)m(el.)42 b(F)-8 b(unction)29
 b(in)m(v)m(o)s(cations)h(that)f(exceed)h(this)e(nesting)h(lev)m(el)h
-(will)f(cause)g(the)f(curren)m(t)630 2162 y(command)i(to)h(ab)s(ort.)
-150 2315 y Ft(GLOBIGNORE)630 2425 y Fu(A)38 b(colon-separated)i(list)f
+(will)f(cause)g(the)f(curren)m(t)630 2884 y(command)i(to)h(ab)s(ort.)
+150 3032 y Ft(GLOBIGNORE)630 3142 y Fu(A)38 b(colon-separated)i(list)f
 (of)f(patterns)g(de\014ning)f(the)h(set)g(of)h(\014lenames)f(to)g(b)s
-(e)g(ignored)630 2534 y(b)m(y)31 b(\014lename)g(expansion.)43
+(e)g(ignored)630 3251 y(b)m(y)31 b(\014lename)g(expansion.)43
 b(If)31 b(a)h(\014lename)f(matc)m(hed)h(b)m(y)f(a)g(\014lename)h
-(expansion)f(pattern)630 2644 y(also)i(matc)m(hes)g(one)f(of)g(the)g
+(expansion)f(pattern)630 3361 y(also)i(matc)m(hes)g(one)f(of)g(the)g
 (patterns)g(in)f Ft(GLOBIGNORE)p Fu(,)f(it)i(is)g(remo)m(v)m(ed)h(from)
-e(the)h(list)h(of)630 2754 y(matc)m(hes.)150 2907 y Ft(GROUPS)192
+e(the)h(list)h(of)630 3471 y(matc)m(hes.)150 3619 y Ft(GROUPS)192
 b Fu(An)36 b(arra)m(y)g(v)-5 b(ariable)37 b(con)m(taining)g(the)f(list)
 h(of)f(groups)g(of)g(whic)m(h)f(the)i(curren)m(t)e(user)h(is)g(a)630
-3017 y(mem)m(b)s(er.)47 b(Assignmen)m(ts)33 b(to)g Ft(GROUPS)e
+3728 y(mem)m(b)s(er.)47 b(Assignmen)m(ts)33 b(to)g Ft(GROUPS)e
 Fu(ha)m(v)m(e)j(no)f(e\013ect)h(and)e(return)g(an)g(error)g(status.)48
-b(If)630 3126 y Ft(GROUPS)29 b Fu(is)h(unset,)g(it)h(loses)g(its)g(sp)s
+b(If)630 3838 y Ft(GROUPS)29 b Fu(is)h(unset,)g(it)h(loses)g(its)g(sp)s
 (ecial)g(prop)s(erties,)f(ev)m(en)h(if)f(it)h(is)g(subsequen)m(tly)f
-(reset.)150 3280 y Ft(histchars)630 3389 y Fu(Up)c(to)g(three)g(c)m
+(reset.)150 3986 y Ft(histchars)630 4096 y Fu(Up)c(to)g(three)g(c)m
 (haracters)i(whic)m(h)d(con)m(trol)j(history)d(expansion,)i(quic)m(k)g
-(substitution,)g(and)630 3499 y(tok)m(enization)k(\(see)f(Section)f
+(substitution,)g(and)630 4205 y(tok)m(enization)k(\(see)f(Section)f
 (9.3)h([History)f(In)m(teraction],)i(page)f(136\).)41
-b(The)29 b(\014rst)e(c)m(harac-)630 3608 y(ter)j(is)f(the)g
+b(The)29 b(\014rst)e(c)m(harac-)630 4315 y(ter)j(is)f(the)g
 Fr(history)g(expansion)g Fu(c)m(haracter,)j(that)e(is,)f(the)h(c)m
-(haracter)h(whic)m(h)d(signi\014es)i(the)630 3718 y(start)25
+(haracter)h(whic)m(h)d(signi\014es)i(the)630 4425 y(start)25
 b(of)f(a)h(history)f(expansion,)i(normally)e(`)p Ft(!)p
 Fu('.)39 b(The)24 b(second)g(c)m(haracter)i(is)e(the)g(c)m(haracter)630
-3828 y(whic)m(h)36 b(signi\014es)g(`quic)m(k)h(substitution')f(when)f
+4534 y(whic)m(h)36 b(signi\014es)g(`quic)m(k)h(substitution')f(when)f
 (seen)h(as)g(the)g(\014rst)f(c)m(haracter)j(on)e(a)g(line,)630
-3937 y(normally)27 b(`)p Ft(^)p Fu('.)39 b(The)26 b(optional)i(third)d
+4644 y(normally)27 b(`)p Ft(^)p Fu('.)39 b(The)26 b(optional)i(third)d
 (c)m(haracter)j(is)e(the)h(c)m(haracter)h(whic)m(h)e(indicates)h(that)
-630 4047 y(the)34 b(remainder)f(of)h(the)g(line)g(is)f(a)h(commen)m(t)h
+630 4753 y(the)34 b(remainder)f(of)h(the)g(line)g(is)f(a)h(commen)m(t)h
 (when)e(found)f(as)i(the)g(\014rst)f(c)m(haracter)i(of)f(a)630
-4156 y(w)m(ord,)i(usually)f(`)p Ft(#)p Fu('.)55 b(The)34
+4863 y(w)m(ord,)i(usually)f(`)p Ft(#)p Fu('.)55 b(The)34
 b(history)h(commen)m(t)h(c)m(haracter)h(causes)e(history)g
-(substitution)630 4266 y(to)27 b(b)s(e)f(skipp)s(ed)f(for)i(the)f
+(substitution)630 4973 y(to)27 b(b)s(e)f(skipp)s(ed)f(for)i(the)f
 (remaining)h(w)m(ords)f(on)h(the)f(line.)40 b(It)27 b(do)s(es)f(not)h
-(necessarily)g(cause)630 4376 y(the)k(shell)f(parser)g(to)h(treat)g
+(necessarily)g(cause)630 5082 y(the)k(shell)f(parser)g(to)h(treat)g
 (the)g(rest)g(of)f(the)h(line)f(as)h(a)g(commen)m(t.)150
-4529 y Ft(HISTCMD)144 b Fu(The)35 b(history)h(n)m(um)m(b)s(er,)g(or)f
+5230 y Ft(HISTCMD)144 b Fu(The)35 b(history)h(n)m(um)m(b)s(er,)g(or)f
 (index)g(in)h(the)g(history)f(list,)j(of)e(the)g(curren)m(t)f(command.)
-56 b(If)630 4639 y Ft(HISTCMD)28 b Fu(is)h(unset,)h(it)g(loses)h(its)f
+56 b(If)630 5340 y Ft(HISTCMD)28 b Fu(is)h(unset,)h(it)g(loses)h(its)f
 (sp)s(ecial)g(prop)s(erties,)g(ev)m(en)g(if)g(it)g(is)g(subsequen)m
-(tly)f(reset.)150 4792 y Ft(HISTCONTROL)630 4902 y Fu(A)40
-b(colon-separated)i(list)f(of)f(v)-5 b(alues)40 b(con)m(trolling)i(ho)m
-(w)e(commands)g(are)h(sa)m(v)m(ed)g(on)f(the)630 5011
-y(history)29 b(list.)41 b(If)28 b(the)h(list)h(of)f(v)-5
-b(alues)29 b(includes)f(`)p Ft(ignorespace)p Fu(',)f(lines)i(whic)m(h)g
-(b)s(egin)f(with)630 5121 y(a)39 b(space)g(c)m(haracter)i(are)e(not)g
-(sa)m(v)m(ed)g(in)g(the)g(history)f(list.)66 b(A)39 b(v)-5
-b(alue)39 b(of)g(`)p Ft(ignoredups)p Fu(')630 5230 y(causes)34
-b(lines)h(whic)m(h)f(matc)m(h)h(the)f(previous)f(history)h(en)m(try)h
-(to)g(not)f(b)s(e)f(sa)m(v)m(ed.)53 b(A)34 b(v)-5 b(alue)630
-5340 y(of)32 b(`)p Ft(ignoreboth)p Fu(')d(is)j(shorthand)e(for)i(`)p
-Ft(ignorespace)p Fu(')d(and)i(`)p Ft(ignoredups)p Fu('.)42
-b(A)32 b(v)-5 b(alue)32 b(of)p eop end
+(tly)f(reset.)p eop end
 %%Page: 75 81
 TeXDict begin 75 80 bop 150 -116 a Fu(Chapter)30 b(5:)41
-b(Shell)30 b(V)-8 b(ariables)2459 b(75)630 299 y(`)p
-Ft(erasedups)p Fu(')31 b(causes)i(all)h(previous)f(lines)g(matc)m(hing)
-h(the)f(curren)m(t)g(line)g(to)h(b)s(e)e(remo)m(v)m(ed)630
-408 y(from)42 b(the)h(history)f(list)i(b)s(efore)e(that)h(line)g(is)g
-(sa)m(v)m(ed.)78 b(An)m(y)43 b(v)-5 b(alue)43 b(not)g(in)f(the)h(ab)s
-(o)m(v)m(e)630 518 y(list)35 b(is)g(ignored.)53 b(If)34
-b Ft(HISTCONTROL)e Fu(is)i(unset,)i(or)e(do)s(es)h(not)g(include)f(a)h
-(v)-5 b(alid)35 b(v)-5 b(alue,)36 b(all)630 628 y(lines)30
+b(Shell)30 b(V)-8 b(ariables)2459 b(75)150 299 y Ft(HISTCONTROL)630
+408 y Fu(A)40 b(colon-separated)i(list)f(of)f(v)-5 b(alues)40
+b(con)m(trolling)i(ho)m(w)e(commands)g(are)h(sa)m(v)m(ed)g(on)f(the)630
+518 y(history)29 b(list.)41 b(If)28 b(the)h(list)h(of)f(v)-5
+b(alues)29 b(includes)f(`)p Ft(ignorespace)p Fu(',)f(lines)i(whic)m(h)g
+(b)s(egin)f(with)630 628 y(a)39 b(space)g(c)m(haracter)i(are)e(not)g
+(sa)m(v)m(ed)g(in)g(the)g(history)f(list.)66 b(A)39 b(v)-5
+b(alue)39 b(of)g(`)p Ft(ignoredups)p Fu(')630 737 y(causes)34
+b(lines)h(whic)m(h)f(matc)m(h)h(the)f(previous)f(history)h(en)m(try)h
+(to)g(not)f(b)s(e)f(sa)m(v)m(ed.)53 b(A)34 b(v)-5 b(alue)630
+847 y(of)32 b(`)p Ft(ignoreboth)p Fu(')d(is)j(shorthand)e(for)i(`)p
+Ft(ignorespace)p Fu(')d(and)i(`)p Ft(ignoredups)p Fu('.)42
+b(A)32 b(v)-5 b(alue)32 b(of)630 956 y(`)p Ft(erasedups)p
+Fu(')f(causes)i(all)h(previous)f(lines)g(matc)m(hing)h(the)f(curren)m
+(t)g(line)g(to)h(b)s(e)e(remo)m(v)m(ed)630 1066 y(from)42
+b(the)h(history)f(list)i(b)s(efore)e(that)h(line)g(is)g(sa)m(v)m(ed.)78
+b(An)m(y)43 b(v)-5 b(alue)43 b(not)g(in)f(the)h(ab)s(o)m(v)m(e)630
+1176 y(list)35 b(is)g(ignored.)53 b(If)34 b Ft(HISTCONTROL)e
+Fu(is)i(unset,)i(or)e(do)s(es)h(not)g(include)f(a)h(v)-5
+b(alid)35 b(v)-5 b(alue,)36 b(all)630 1285 y(lines)30
 b(read)g(b)m(y)g(the)g(shell)g(parser)g(are)g(sa)m(v)m(ed)h(on)f(the)g
 (history)g(list,)h(sub)5 b(ject)30 b(to)g(the)g(v)-5
-b(alue)630 737 y(of)42 b Ft(HISTIGNORE)p Fu(.)73 b(The)42
+b(alue)630 1395 y(of)42 b Ft(HISTIGNORE)p Fu(.)73 b(The)42
 b(second)g(and)g(subsequen)m(t)f(lines)h(of)h(a)f(m)m(ulti-line)h(comp)
-s(ound)630 847 y(command)33 b(are)h(not)g(tested,)i(and)d(are)h(added)f
-(to)h(the)g(history)g(regardless)g(of)g(the)f(v)-5 b(alue)630
-956 y(of)31 b Ft(HISTCONTROL)p Fu(.)150 1117 y Ft(HISTFILE)96
+s(ound)630 1504 y(command)33 b(are)h(not)g(tested,)i(and)d(are)h(added)
+f(to)h(the)g(history)g(regardless)g(of)g(the)f(v)-5 b(alue)630
+1614 y(of)31 b Ft(HISTCONTROL)p Fu(.)150 1763 y Ft(HISTFILE)96
 b Fu(The)27 b(name)h(of)g(the)g(\014le)g(to)h(whic)m(h)f(the)g(command)
 f(history)h(is)g(sa)m(v)m(ed.)41 b(The)27 b(default)h(v)-5
-b(alue)630 1226 y(is)30 b Ft(~/.bash_history)p Fu(.)150
-1386 y Ft(HISTFILESIZE)630 1496 y Fu(The)c(maxim)m(um)f(n)m(um)m(b)s
+b(alue)630 1873 y(is)30 b Ft(~/.bash_history)p Fu(.)150
+2022 y Ft(HISTFILESIZE)630 2132 y Fu(The)c(maxim)m(um)f(n)m(um)m(b)s
 (er)g(of)h(lines)h(con)m(tained)g(in)f(the)g(history)g(\014le.)39
-b(When)26 b(this)g(v)-5 b(ariable)630 1606 y(is)25 b(assigned)h(a)g(v)
+b(When)26 b(this)g(v)-5 b(ariable)630 2242 y(is)25 b(assigned)h(a)g(v)
 -5 b(alue,)27 b(the)f(history)f(\014le)h(is)f(truncated,)i(if)e
 (necessary)-8 b(,)28 b(to)e(con)m(tain)g(no)g(more)630
-1715 y(than)37 b(that)h(n)m(um)m(b)s(er)d(of)j(lines)f(b)m(y)g(remo)m
+2351 y(than)37 b(that)h(n)m(um)m(b)s(er)d(of)j(lines)f(b)m(y)g(remo)m
 (ving)h(the)f(oldest)h(en)m(tries.)62 b(The)37 b(history)g(\014le)g(is)
-630 1825 y(also)i(truncated)f(to)h(this)e(size)i(after)g(writing)f(it)g
+630 2461 y(also)i(truncated)f(to)h(this)e(size)i(after)g(writing)f(it)g
 (when)f(a)h(shell)h(exits.)64 b(If)37 b(the)h(v)-5 b(alue)39
-b(is)630 1934 y(0,)g(the)e(history)f(\014le)h(is)g(truncated)f(to)i
+b(is)630 2570 y(0,)g(the)e(history)f(\014le)h(is)g(truncated)f(to)i
 (zero)f(size.)60 b(Non-n)m(umeric)37 b(v)-5 b(alues)37
-b(and)f(n)m(umeric)630 2044 y(v)-5 b(alues)31 b(less)f(than)g(zero)h
+b(and)f(n)m(umeric)630 2680 y(v)-5 b(alues)31 b(less)f(than)g(zero)h
 (inhibit)f(truncation.)41 b(The)29 b(shell)i(sets)f(the)h(default)f(v)
--5 b(alue)31 b(to)g(the)630 2153 y(v)-5 b(alue)31 b(of)f
+-5 b(alue)31 b(to)g(the)630 2790 y(v)-5 b(alue)31 b(of)f
 Ft(HISTSIZE)f Fu(after)h(reading)h(an)m(y)g(startup)f(\014les.)150
-2314 y Ft(HISTIGNORE)630 2423 y Fu(A)j(colon-separated)h(list)f(of)g
+2939 y Ft(HISTIGNORE)630 3049 y Fu(A)j(colon-separated)h(list)f(of)g
 (patterns)f(used)g(to)h(decide)g(whic)m(h)f(command)g(lines)h(should)
-630 2533 y(b)s(e)f(sa)m(v)m(ed)h(on)g(the)f(history)h(list.)47
+630 3158 y(b)s(e)f(sa)m(v)m(ed)h(on)g(the)f(history)h(list.)47
 b(Eac)m(h)33 b(pattern)g(is)f(anc)m(hored)h(at)g(the)f(b)s(eginning)g
-(of)h(the)630 2642 y(line)43 b(and)e(m)m(ust)h(matc)m(h)h(the)g
+(of)h(the)630 3268 y(line)43 b(and)e(m)m(ust)h(matc)m(h)h(the)g
 (complete)h(line)e(\(no)h(implicit)g(`)p Ft(*)p Fu(')f(is)g(app)s
-(ended\).)75 b(Eac)m(h)630 2752 y(pattern)42 b(is)g(tested)g(against)h
+(ended\).)75 b(Eac)m(h)630 3377 y(pattern)42 b(is)g(tested)g(against)h
 (the)f(line)g(after)g(the)g(c)m(hec)m(ks)h(sp)s(eci\014ed)e(b)m(y)h
-Ft(HISTCONTROL)630 2862 y Fu(are)37 b(applied.)59 b(In)36
+Ft(HISTCONTROL)630 3487 y Fu(are)37 b(applied.)59 b(In)36
 b(addition)h(to)g(the)g(normal)g(shell)f(pattern)h(matc)m(hing)h(c)m
-(haracters,)i(`)p Ft(&)p Fu(')630 2971 y(matc)m(hes)d(the)f(previous)g
+(haracters,)i(`)p Ft(&)p Fu(')630 3597 y(matc)m(hes)d(the)f(previous)g
 (history)g(line.)57 b(`)p Ft(&)p Fu(')36 b(ma)m(y)h(b)s(e)e(escap)s(ed)
-h(using)g(a)g(bac)m(kslash;)k(the)630 3081 y(bac)m(kslash)34
+h(using)g(a)g(bac)m(kslash;)k(the)630 3706 y(bac)m(kslash)34
 b(is)g(remo)m(v)m(ed)h(b)s(efore)e(attempting)i(a)g(matc)m(h.)51
-b(The)34 b(second)f(and)h(subsequen)m(t)630 3190 y(lines)e(of)h(a)g(m)m
+b(The)34 b(second)f(and)h(subsequen)m(t)630 3816 y(lines)e(of)h(a)g(m)m
 (ulti-line)g(comp)s(ound)e(command)h(are)h(not)f(tested,)i(and)e(are)g
-(added)g(to)h(the)630 3300 y(history)d(regardless)h(of)g(the)f(v)-5
-b(alue)31 b(of)g Ft(HISTIGNORE)p Fu(.)630 3435 y Ft(HISTIGNORE)20
+(added)g(to)h(the)630 3925 y(history)d(regardless)h(of)g(the)f(v)-5
+b(alue)31 b(of)g Ft(HISTIGNORE)p Fu(.)630 4055 y Ft(HISTIGNORE)20
 b Fu(subsumes)g(the)j(function)f(of)h Ft(HISTCONTROL)p
 Fu(.)35 b(A)23 b(pattern)f(of)h(`)p Ft(&)p Fu(')g(is)f(iden)m(tical)630
-3544 y(to)k Ft(ignoredups)p Fu(,)e(and)h(a)h(pattern)g(of)f(`)p
+4164 y(to)k Ft(ignoredups)p Fu(,)e(and)h(a)h(pattern)g(of)f(`)p
 Ft([)31 b(]*)p Fu(')25 b(is)h(iden)m(tical)h(to)f Ft(ignorespace)p
-Fu(.)36 b(Com)m(bining)630 3654 y(these)30 b(t)m(w)m(o)h(patterns,)f
+Fu(.)36 b(Com)m(bining)630 4274 y(these)30 b(t)m(w)m(o)h(patterns,)f
 (separating)g(them)g(with)f(a)h(colon,)h(pro)m(vides)e(the)h
-(functionalit)m(y)h(of)630 3764 y Ft(ignoreboth)p Fu(.)150
-3924 y Ft(HISTSIZE)96 b Fu(The)37 b(maxim)m(um)g(n)m(um)m(b)s(er)e(of)j
+(functionalit)m(y)h(of)630 4384 y Ft(ignoreboth)p Fu(.)150
+4533 y Ft(HISTSIZE)96 b Fu(The)37 b(maxim)m(um)g(n)m(um)m(b)s(er)e(of)j
 (commands)f(to)g(remem)m(b)s(er)g(on)g(the)g(history)g(list.)62
-b(If)37 b(the)630 4033 y(v)-5 b(alue)26 b(is)g(0,)i(commands)d(are)h
+b(If)37 b(the)630 4643 y(v)-5 b(alue)26 b(is)g(0,)i(commands)d(are)h
 (not)h(sa)m(v)m(ed)g(in)e(the)h(history)g(list.)40 b(Numeric)26
-b(v)-5 b(alues)26 b(less)g(than)630 4143 y(zero)i(result)e(in)h(ev)m
+b(v)-5 b(alues)26 b(less)g(than)630 4752 y(zero)i(result)e(in)h(ev)m
 (ery)g(command)g(b)s(eing)f(sa)m(v)m(ed)i(on)f(the)g(history)f(list)i
-(\(there)f(is)g(no)g(limit\).)630 4253 y(The)j(shell)g(sets)h(the)g
+(\(there)f(is)g(no)g(limit\).)630 4862 y(The)j(shell)g(sets)h(the)g
 (default)f(v)-5 b(alue)31 b(to)g(500)h(after)f(reading)f(an)m(y)h
-(startup)f(\014les.)150 4413 y Ft(HISTTIMEFORMAT)630
-4522 y Fu(If)44 b(this)g(v)-5 b(ariable)45 b(is)f(set)g(and)g(not)g(n)m
+(startup)f(\014les.)150 5011 y Ft(HISTTIMEFORMAT)630
+5121 y Fu(If)44 b(this)g(v)-5 b(ariable)45 b(is)f(set)g(and)g(not)g(n)m
 (ull,)k(its)d(v)-5 b(alue)44 b(is)g(used)g(as)g(a)h(format)f(string)g
-(for)630 4632 y Fr(strftime)c Fu(to)35 b(prin)m(t)f(the)h(time)g(stamp)
+(for)630 5230 y Fr(strftime)c Fu(to)35 b(prin)m(t)f(the)h(time)g(stamp)
 f(asso)s(ciated)i(with)f(eac)m(h)g(history)g(en)m(try)f(displa)m(y)m
-(ed)630 4741 y(b)m(y)g(the)f Ft(history)f Fu(builtin.)50
+(ed)630 5340 y(b)m(y)g(the)f Ft(history)f Fu(builtin.)50
 b(If)33 b(this)h(v)-5 b(ariable)34 b(is)g(set,)h(time)f(stamps)g(are)g
-(written)f(to)i(the)630 4851 y(history)26 b(\014le)g(so)g(they)g(ma)m
-(y)h(b)s(e)e(preserv)m(ed)g(across)i(shell)f(sessions.)39
-b(This)25 b(uses)h(the)g(history)630 4961 y(commen)m(t)31
-b(c)m(haracter)h(to)f(distinguish)f(timestamps)h(from)f(other)g
-(history)h(lines.)150 5121 y Ft(HOSTFILE)96 b Fu(Con)m(tains)33
-b(the)g(name)f(of)h(a)g(\014le)f(in)g(the)h(same)g(format)g(as)f
-Ft(/etc/hosts)e Fu(that)j(should)f(b)s(e)630 5230 y(read)21
-b(when)g(the)g(shell)h(needs)f(to)h(complete)h(a)e(hostname.)38
-b(The)21 b(list)h(of)g(p)s(ossible)f(hostname)630 5340
-y(completions)27 b(ma)m(y)f(b)s(e)f(c)m(hanged)h(while)f(the)h(shell)g
-(is)f(running;)h(the)g(next)f(time)i(hostname)p eop end
+(written)f(to)i(the)p eop end
 %%Page: 76 82
 TeXDict begin 76 81 bop 150 -116 a Fu(Chapter)30 b(5:)41
-b(Shell)30 b(V)-8 b(ariables)2459 b(76)630 299 y(completion)33
-b(is)g(attempted)g(after)g(the)f(v)-5 b(alue)33 b(is)f(c)m(hanged,)i
-(Bash)e(adds)f(the)i(con)m(ten)m(ts)h(of)630 408 y(the)h(new)f(\014le)g
-(to)h(the)g(existing)h(list.)53 b(If)34 b Ft(HOSTFILE)e
-Fu(is)j(set,)h(but)e(has)g(no)h(v)-5 b(alue,)36 b(or)e(do)s(es)630
-518 y(not)d(name)f(a)h(readable)g(\014le,)g(Bash)f(attempts)i(to)f
-(read)f Ft(/etc/hosts)e Fu(to)j(obtain)g(the)f(list)630
-628 y(of)h(p)s(ossible)f(hostname)h(completions.)43 b(When)31
-b Ft(HOSTFILE)d Fu(is)j(unset,)f(the)h(hostname)g(list)630
-737 y(is)f(cleared.)150 906 y Ft(HOSTNAME)96 b Fu(The)30
-b(name)g(of)h(the)f(curren)m(t)h(host.)150 1074 y Ft(HOSTTYPE)96
-b Fu(A)30 b(string)h(describing)f(the)g(mac)m(hine)h(Bash)g(is)f
-(running)f(on.)150 1243 y Ft(IGNOREEOF)630 1353 y Fu(Con)m(trols)e(the)
-h(action)g(of)f(the)g(shell)g(on)g(receipt)h(of)f(an)g
-Ft(EOF)f Fu(c)m(haracter)i(as)g(the)f(sole)h(input.)630
-1462 y(If)i(set,)i(the)f(v)-5 b(alue)32 b(denotes)f(the)g(n)m(um)m(b)s
+b(Shell)30 b(V)-8 b(ariables)2459 b(76)630 299 y(history)26
+b(\014le)g(so)g(they)g(ma)m(y)h(b)s(e)e(preserv)m(ed)g(across)i(shell)f
+(sessions.)39 b(This)25 b(uses)h(the)g(history)630 408
+y(commen)m(t)31 b(c)m(haracter)h(to)f(distinguish)f(timestamps)h(from)f
+(other)g(history)h(lines.)150 569 y Ft(HOSTFILE)96 b
+Fu(Con)m(tains)33 b(the)g(name)f(of)h(a)g(\014le)f(in)g(the)h(same)g
+(format)g(as)f Ft(/etc/hosts)e Fu(that)j(should)f(b)s(e)630
+678 y(read)21 b(when)g(the)g(shell)h(needs)f(to)h(complete)h(a)e
+(hostname.)38 b(The)21 b(list)h(of)g(p)s(ossible)f(hostname)630
+788 y(completions)27 b(ma)m(y)f(b)s(e)f(c)m(hanged)h(while)f(the)h
+(shell)g(is)f(running;)h(the)g(next)f(time)i(hostname)630
+897 y(completion)33 b(is)g(attempted)g(after)g(the)f(v)-5
+b(alue)33 b(is)f(c)m(hanged,)i(Bash)e(adds)f(the)i(con)m(ten)m(ts)h(of)
+630 1007 y(the)h(new)f(\014le)g(to)h(the)g(existing)h(list.)53
+b(If)34 b Ft(HOSTFILE)e Fu(is)j(set,)h(but)e(has)g(no)h(v)-5
+b(alue,)36 b(or)e(do)s(es)630 1117 y(not)d(name)f(a)h(readable)g
+(\014le,)g(Bash)f(attempts)i(to)f(read)f Ft(/etc/hosts)e
+Fu(to)j(obtain)g(the)f(list)630 1226 y(of)h(p)s(ossible)f(hostname)h
+(completions.)43 b(When)31 b Ft(HOSTFILE)d Fu(is)j(unset,)f(the)h
+(hostname)g(list)630 1336 y(is)f(cleared.)150 1496 y
+Ft(HOSTNAME)96 b Fu(The)30 b(name)g(of)h(the)f(curren)m(t)h(host.)150
+1656 y Ft(HOSTTYPE)96 b Fu(A)30 b(string)h(describing)f(the)g(mac)m
+(hine)h(Bash)g(is)f(running)f(on.)150 1816 y Ft(IGNOREEOF)630
+1926 y Fu(Con)m(trols)e(the)h(action)g(of)f(the)g(shell)g(on)g(receipt)
+h(of)f(an)g Ft(EOF)f Fu(c)m(haracter)i(as)g(the)f(sole)h(input.)630
+2035 y(If)i(set,)i(the)f(v)-5 b(alue)32 b(denotes)f(the)g(n)m(um)m(b)s
 (er)f(of)h(consecutiv)m(e)i Ft(EOF)d Fu(c)m(haracters)i(that)f(can)h(b)
-s(e)630 1572 y(read)40 b(as)f(the)h(\014rst)f(c)m(haracter)i(on)f(an)f
+s(e)630 2145 y(read)40 b(as)f(the)h(\014rst)f(c)m(haracter)i(on)f(an)f
 (input)g(line)h(b)s(efore)f(the)h(shell)g(will)g(exit.)70
-b(If)39 b(the)630 1681 y(v)-5 b(ariable)38 b(exists)f(but)f(do)s(es)g
+b(If)39 b(the)630 2255 y(v)-5 b(ariable)38 b(exists)f(but)f(do)s(es)g
 (not)h(ha)m(v)m(e)h(a)g(n)m(umeric)e(v)-5 b(alue)37 b(\(or)h(has)e(no)h
-(v)-5 b(alue\))37 b(then)g(the)630 1791 y(default)31
+(v)-5 b(alue\))37 b(then)g(the)630 2364 y(default)31
 b(is)g(10.)43 b(If)30 b(the)h(v)-5 b(ariable)31 b(do)s(es)g(not)g
 (exist,)h(then)e Ft(EOF)g Fu(signi\014es)h(the)g(end)f(of)h(input)630
-1901 y(to)g(the)g(shell.)41 b(This)29 b(is)i(only)f(in)g(e\013ect)i
-(for)e(in)m(teractiv)m(e)j(shells.)150 2069 y Ft(INPUTRC)144
+2474 y(to)g(the)g(shell.)41 b(This)29 b(is)i(only)f(in)g(e\013ect)i
+(for)e(in)m(teractiv)m(e)j(shells.)150 2634 y Ft(INPUTRC)144
 b Fu(The)68 b(name)h(of)f(the)h(Readline)g(initialization)j(\014le,)78
-b(o)m(v)m(erriding)69 b(the)g(default)g(of)630 2179 y
-Ft(~/.inputrc)p Fu(.)150 2347 y Ft(LANG)288 b Fu(Used)28
+b(o)m(v)m(erriding)69 b(the)g(default)g(of)630 2744 y
+Ft(~/.inputrc)p Fu(.)150 2904 y Ft(LANG)288 b Fu(Used)28
 b(to)h(determine)f(the)g(lo)s(cale)h(category)h(for)e(an)m(y)h
-(category)h(not)e(sp)s(eci\014cally)g(selected)630 2457
+(category)h(not)e(sp)s(eci\014cally)g(selected)630 3013
 y(with)i(a)h(v)-5 b(ariable)31 b(starting)g(with)f Ft(LC_)p
-Fu(.)150 2626 y Ft(LC_ALL)192 b Fu(This)28 b(v)-5 b(ariable)29
+Fu(.)150 3173 y Ft(LC_ALL)192 b Fu(This)28 b(v)-5 b(ariable)29
 b(o)m(v)m(errides)h(the)f(v)-5 b(alue)29 b(of)g Ft(LANG)f
 Fu(and)g(an)m(y)h(other)g Ft(LC_)f Fu(v)-5 b(ariable)29
-b(sp)s(ecifying)630 2735 y(a)i(lo)s(cale)h(category)-8
-b(.)150 2904 y Ft(LC_COLLATE)630 3013 y Fu(This)37 b(v)-5
+b(sp)s(ecifying)630 3283 y(a)i(lo)s(cale)h(category)-8
+b(.)150 3443 y Ft(LC_COLLATE)630 3553 y Fu(This)37 b(v)-5
 b(ariable)38 b(determines)g(the)g(collation)i(order)d(used)g(when)f
-(sorting)i(the)g(results)g(of)630 3123 y(\014lename)e(expansion,)i(and)
+(sorting)i(the)g(results)g(of)630 3662 y(\014lename)e(expansion,)i(and)
 e(determines)g(the)h(b)s(eha)m(vior)f(of)g(range)h(expressions,)h
-(equiv-)630 3232 y(alence)e(classes,)h(and)e(collating)i(sequences)e
+(equiv-)630 3772 y(alence)e(classes,)h(and)e(collating)i(sequences)e
 (within)f(\014lename)h(expansion)g(and)f(pattern)630
-3342 y(matc)m(hing)d(\(see)h(Section)f(3.5.8)h([Filename)g(Expansion],)
-e(page)h(30\).)150 3511 y Ft(LC_CTYPE)96 b Fu(This)36
+3882 y(matc)m(hing)d(\(see)h(Section)f(3.5.8)h([Filename)g(Expansion],)
+e(page)h(30\).)150 4042 y Ft(LC_CTYPE)96 b Fu(This)36
 b(v)-5 b(ariable)37 b(determines)f(the)h(in)m(terpretation)h(of)f(c)m
-(haracters)h(and)e(the)g(b)s(eha)m(vior)h(of)630 3620
+(haracters)h(and)e(the)g(b)s(eha)m(vior)h(of)630 4151
 y(c)m(haracter)46 b(classes)g(within)e(\014lename)h(expansion)g(and)f
-(pattern)h(matc)m(hing)h(\(see)f(Sec-)630 3730 y(tion)31
+(pattern)h(matc)m(hing)h(\(see)f(Sec-)630 4261 y(tion)31
 b(3.5.8)h([Filename)g(Expansion],)e(page)h(30\).)150
-3898 y Ft(LC_MESSAGES)630 4008 y Fu(This)25 b(v)-5 b(ariable)27
+4421 y Ft(LC_MESSAGES)630 4531 y Fu(This)25 b(v)-5 b(ariable)27
 b(determines)f(the)g(lo)s(cale)i(used)d(to)i(translate)g(double-quoted)
-f(strings)g(pre-)630 4118 y(ceded)31 b(b)m(y)f(a)h(`)p
+f(strings)g(pre-)630 4640 y(ceded)31 b(b)m(y)f(a)h(`)p
 Ft($)p Fu(')f(\(see)h(Section)h(3.1.2.5)g([Lo)s(cale)g(T)-8
-b(ranslation],)32 b(page)f(7\).)150 4286 y Ft(LC_NUMERIC)630
-4396 y Fu(This)f(v)-5 b(ariable)31 b(determines)f(the)h(lo)s(cale)h
+b(ranslation],)32 b(page)f(7\).)150 4800 y Ft(LC_NUMERIC)630
+4910 y Fu(This)f(v)-5 b(ariable)31 b(determines)f(the)h(lo)s(cale)h
 (category)g(used)e(for)g(n)m(um)m(b)s(er)f(formatting.)150
-4564 y Ft(LINENO)192 b Fu(The)30 b(line)h(n)m(um)m(b)s(er)e(in)h(the)g
+5070 y Ft(LINENO)192 b Fu(The)30 b(line)h(n)m(um)m(b)s(er)e(in)h(the)g
 (script)h(or)f(shell)g(function)h(curren)m(tly)f(executing.)150
-4733 y Ft(LINES)240 b Fu(Used)43 b(b)m(y)g(the)g Ft(select)e
+5230 y Ft(LINES)240 b Fu(Used)43 b(b)m(y)g(the)g Ft(select)e
 Fu(command)i(to)g(determine)g(the)g(column)g(length)g(for)g(prin)m
-(ting)630 4843 y(selection)c(lists.)63 b(Automatically)41
-b(set)d(if)f(the)h Ft(checkwinsize)d Fu(option)j(is)f(enabled)h(\(see)
-630 4952 y(Section)44 b(4.3.2)h([The)e(Shopt)g(Builtin],)k(page)d
-(63\),)k(or)43 b(in)g(an)g(in)m(teractiv)m(e)j(shell)e(up)s(on)630
-5062 y(receipt)31 b(of)g(a)g Ft(SIGWINCH)p Fu(.)150 5230
-y Ft(MACHTYPE)96 b Fu(A)26 b(string)g(that)h(fully)f(describ)s(es)f
-(the)h(system)g(t)m(yp)s(e)h(on)f(whic)m(h)f(Bash)i(is)f(executing,)i
-(in)e(the)630 5340 y(standard)k Fm(gnu)g Fr(cpu-compan)m(y-system)h
-Fu(format.)p eop end
+(ting)630 5340 y(selection)c(lists.)63 b(Automatically)41
+b(set)d(if)f(the)h Ft(checkwinsize)d Fu(option)j(is)f(enabled)h(\(see)p
+eop end
 %%Page: 77 83
 TeXDict begin 77 82 bop 150 -116 a Fu(Chapter)30 b(5:)41
-b(Shell)30 b(V)-8 b(ariables)2459 b(77)150 299 y Ft(MAILCHECK)630
-408 y Fu(Ho)m(w)28 b(often)g(\(in)g(seconds\))g(that)g(the)f(shell)h
-(should)f(c)m(hec)m(k)i(for)e(mail)h(in)f(the)h(\014les)g(sp)s
-(eci\014ed)630 518 y(in)i(the)h Ft(MAILPATH)e Fu(or)i
-Ft(MAIL)e Fu(v)-5 b(ariables.)43 b(The)30 b(default)h(is)f(60)i
-(seconds.)42 b(When)30 b(it)h(is)g(time)630 628 y(to)37
-b(c)m(hec)m(k)h(for)e(mail,)j(the)e(shell)f(do)s(es)g(so)h(b)s(efore)f
-(displa)m(ying)h(the)f(primary)g(prompt.)57 b(If)630
-737 y(this)37 b(v)-5 b(ariable)38 b(is)f(unset,)h(or)f(set)h(to)g(a)f
-(v)-5 b(alue)38 b(that)f(is)g(not)h(a)f(n)m(um)m(b)s(er)f(greater)i
-(than)f(or)630 847 y(equal)31 b(to)g(zero,)g(the)g(shell)g(disables)f
-(mail)h(c)m(hec)m(king.)150 996 y Ft(MAPFILE)144 b Fu(An)35
-b(arra)m(y)h(v)-5 b(ariable)36 b(created)g(to)h(hold)e(the)g(text)i
-(read)e(b)m(y)g(the)h Ft(mapfile)d Fu(builtin)i(when)630
-1105 y(no)30 b(v)-5 b(ariable)31 b(name)g(is)f(supplied.)150
-1254 y Ft(OLDPWD)192 b Fu(The)30 b(previous)g(w)m(orking)g(directory)h
-(as)g(set)g(b)m(y)f(the)h Ft(cd)e Fu(builtin.)150 1403
-y Ft(OPTERR)192 b Fu(If)35 b(set)i(to)f(the)h(v)-5 b(alue)36
-b(1,)i(Bash)e(displa)m(ys)g(error)f(messages)i(generated)g(b)m(y)f(the)
-g Ft(getopts)630 1512 y Fu(builtin)30 b(command.)150
-1661 y Ft(OSTYPE)192 b Fu(A)30 b(string)h(describing)f(the)g(op)s
-(erating)h(system)g(Bash)f(is)h(running)d(on.)150 1810
-y Ft(PIPESTATUS)630 1919 y Fu(An)23 b(arra)m(y)h(v)-5
-b(ariable)24 b(\(see)h(Section)f(6.7)h([Arra)m(ys],)g(page)f(89\))h
-(con)m(taining)g(a)f(list)g(of)g(exit)g(sta-)630 2029
-y(tus)h(v)-5 b(alues)27 b(from)e(the)h(pro)s(cesses)g(in)f(the)h
-(most-recen)m(tly-executed)j(foreground)c(pip)s(eline)630
-2138 y(\(whic)m(h)30 b(ma)m(y)h(con)m(tain)h(only)f(a)f(single)h
-(command\).)150 2287 y Ft(POSIXLY_CORRECT)630 2397 y
+b(Shell)30 b(V)-8 b(ariables)2459 b(77)630 299 y(Section)44
+b(4.3.2)h([The)e(Shopt)g(Builtin],)k(page)d(63\),)k(or)43
+b(in)g(an)g(in)m(teractiv)m(e)j(shell)e(up)s(on)630 408
+y(receipt)31 b(of)g(a)g Ft(SIGWINCH)p Fu(.)150 557 y
+Ft(MACHTYPE)96 b Fu(A)26 b(string)g(that)h(fully)f(describ)s(es)f(the)h
+(system)g(t)m(yp)s(e)h(on)f(whic)m(h)f(Bash)i(is)f(executing,)i(in)e
+(the)630 667 y(standard)k Fm(gnu)g Fr(cpu-compan)m(y-system)h
+Fu(format.)150 816 y Ft(MAILCHECK)630 925 y Fu(Ho)m(w)d(often)g(\(in)g
+(seconds\))g(that)g(the)f(shell)h(should)f(c)m(hec)m(k)i(for)e(mail)h
+(in)f(the)h(\014les)g(sp)s(eci\014ed)630 1035 y(in)i(the)h
+Ft(MAILPATH)e Fu(or)i Ft(MAIL)e Fu(v)-5 b(ariables.)43
+b(The)30 b(default)h(is)f(60)i(seconds.)42 b(When)30
+b(it)h(is)g(time)630 1144 y(to)37 b(c)m(hec)m(k)h(for)e(mail,)j(the)e
+(shell)f(do)s(es)g(so)h(b)s(efore)f(displa)m(ying)h(the)f(primary)g
+(prompt.)57 b(If)630 1254 y(this)37 b(v)-5 b(ariable)38
+b(is)f(unset,)h(or)f(set)h(to)g(a)f(v)-5 b(alue)38 b(that)f(is)g(not)h
+(a)f(n)m(um)m(b)s(er)f(greater)i(than)f(or)630 1363 y(equal)31
+b(to)g(zero,)g(the)g(shell)g(disables)f(mail)h(c)m(hec)m(king.)150
+1512 y Ft(MAPFILE)144 b Fu(An)35 b(arra)m(y)h(v)-5 b(ariable)36
+b(created)g(to)h(hold)e(the)g(text)i(read)e(b)m(y)g(the)h
+Ft(mapfile)d Fu(builtin)i(when)630 1622 y(no)30 b(v)-5
+b(ariable)31 b(name)g(is)f(supplied.)150 1771 y Ft(OLDPWD)192
+b Fu(The)30 b(previous)g(w)m(orking)g(directory)h(as)g(set)g(b)m(y)f
+(the)h Ft(cd)e Fu(builtin.)150 1919 y Ft(OPTERR)192 b
+Fu(If)35 b(set)i(to)f(the)h(v)-5 b(alue)36 b(1,)i(Bash)e(displa)m(ys)g
+(error)f(messages)i(generated)g(b)m(y)f(the)g Ft(getopts)630
+2029 y Fu(builtin)30 b(command.)150 2178 y Ft(OSTYPE)192
+b Fu(A)30 b(string)h(describing)f(the)g(op)s(erating)h(system)g(Bash)f
+(is)h(running)d(on.)150 2326 y Ft(PIPESTATUS)630 2436
+y Fu(An)23 b(arra)m(y)h(v)-5 b(ariable)24 b(\(see)h(Section)f(6.7)h
+([Arra)m(ys],)g(page)f(89\))h(con)m(taining)g(a)f(list)g(of)g(exit)g
+(sta-)630 2545 y(tus)h(v)-5 b(alues)27 b(from)e(the)h(pro)s(cesses)g
+(in)f(the)h(most-recen)m(tly-executed)j(foreground)c(pip)s(eline)630
+2655 y(\(whic)m(h)30 b(ma)m(y)h(con)m(tain)h(only)f(a)f(single)h
+(command\).)150 2804 y Ft(POSIXLY_CORRECT)630 2913 y
 Fu(If)h(this)g(v)-5 b(ariable)34 b(is)e(in)g(the)h(en)m(vironmen)m(t)g
 (when)e(Bash)i(starts,)g(the)g(shell)g(en)m(ters)g Fm(posix)630
-2506 y Fu(mo)s(de)22 b(\(see)h(Section)g(6.11)h([Bash)e(POSIX)f(Mo)s
+3023 y Fu(mo)s(de)22 b(\(see)h(Section)g(6.11)h([Bash)e(POSIX)f(Mo)s
 (de],)k(page)e(94\))g(b)s(efore)f(reading)g(the)g(startup)630
-2616 y(\014les,)36 b(as)e(if)h(the)f Ft(--posix)f Fu(in)m(v)m(o)s
+3133 y(\014les,)36 b(as)e(if)h(the)f Ft(--posix)f Fu(in)m(v)m(o)s
 (cation)j(option)f(had)f(b)s(een)g(supplied.)51 b(If)34
-b(it)h(is)g(set)g(while)630 2725 y(the)c(shell)f(is)h(running,)d(Bash)j
+b(it)h(is)g(set)g(while)630 3242 y(the)c(shell)f(is)h(running,)d(Bash)j
 (enables)g Fm(posix)e Fu(mo)s(de,)h(as)h(if)f(the)h(command)870
-2855 y Ft(set)47 b(-o)g(posix)630 2984 y Fu(had)30 b(b)s(een)f
-(executed.)150 3133 y Ft(PPID)288 b Fu(The)30 b(pro)s(cess)g
+3371 y Ft(set)47 b(-o)g(posix)630 3500 y Fu(had)30 b(b)s(een)f
+(executed.)150 3649 y Ft(PPID)288 b Fu(The)30 b(pro)s(cess)g
 Fm(id)g Fu(of)h(the)f(shell's)h(paren)m(t)g(pro)s(cess.)40
 b(This)30 b(v)-5 b(ariable)31 b(is)f(readonly)-8 b(.)150
-3281 y Ft(PROMPT_COMMAND)630 3391 y Fu(If)32 b(set,)h(the)f(v)-5
+3798 y Ft(PROMPT_COMMAND)630 3907 y Fu(If)32 b(set,)h(the)f(v)-5
 b(alue)33 b(is)f(in)m(terpreted)g(as)g(a)h(command)f(to)h(execute)g(b)s
-(efore)f(the)g(prin)m(ting)g(of)630 3500 y(eac)m(h)g(primary)d(prompt)g
-(\()p Ft($PS1)p Fu(\).)150 3649 y Ft(PROMPT_DIRTRIM)630
-3759 y Fu(If)e(set)g(to)h(a)g(n)m(um)m(b)s(er)e(greater)i(than)f(zero,)
+(efore)f(the)g(prin)m(ting)g(of)630 4017 y(eac)m(h)g(primary)d(prompt)g
+(\()p Ft($PS1)p Fu(\).)150 4166 y Ft(PROMPT_DIRTRIM)630
+4275 y Fu(If)e(set)g(to)h(a)g(n)m(um)m(b)s(er)e(greater)i(than)f(zero,)
 i(the)e(v)-5 b(alue)28 b(is)f(used)g(as)g(the)h(n)m(um)m(b)s(er)e(of)h
-(trailing)630 3868 y(directory)35 b(comp)s(onen)m(ts)g(to)h(retain)f
+(trailing)630 4385 y(directory)35 b(comp)s(onen)m(ts)g(to)h(retain)f
 (when)f(expanding)g(the)h Ft(\\w)f Fu(and)g Ft(\\W)g
-Fu(prompt)g(string)630 3978 y(escap)s(es)21 b(\(see)h(Section)f(6.9)h
+Fu(prompt)g(string)630 4495 y(escap)s(es)21 b(\(see)h(Section)f(6.9)h
 ([Con)m(trolling)g(the)f(Prompt],)h(page)f(92\).)39 b(Characters)21
-b(remo)m(v)m(ed)630 4088 y(are)31 b(replaced)g(with)f(an)g(ellipsis.)
-150 4236 y Ft(PS3)336 b Fu(The)34 b(v)-5 b(alue)35 b(of)f(this)g(v)-5
+b(remo)m(v)m(ed)630 4604 y(are)31 b(replaced)g(with)f(an)g(ellipsis.)
+150 4753 y Ft(PS3)336 b Fu(The)34 b(v)-5 b(alue)35 b(of)f(this)g(v)-5
 b(ariable)35 b(is)g(used)e(as)i(the)f(prompt)g(for)g(the)g
-Ft(select)f Fu(command.)52 b(If)630 4346 y(this)30 b(v)-5
+Ft(select)f Fu(command.)52 b(If)630 4862 y(this)30 b(v)-5
 b(ariable)31 b(is)g(not)f(set,)i(the)e Ft(select)f Fu(command)h
-(prompts)f(with)h(`)p Ft(#?)g Fu(')150 4495 y Ft(PS4)336
+(prompts)f(with)h(`)p Ft(#?)g Fu(')150 5011 y Ft(PS4)336
 b Fu(The)24 b(v)-5 b(alue)25 b(is)f(the)h(prompt)e(prin)m(ted)h(b)s
 (efore)g(the)h(command)f(line)h(is)f(ec)m(ho)s(ed)i(when)d(the)i
-Ft(-x)630 4604 y Fu(option)32 b(is)f(set)h(\(see)g(Section)h(4.3.1)g
+Ft(-x)630 5121 y Fu(option)32 b(is)f(set)h(\(see)g(Section)h(4.3.1)g
 ([The)e(Set)g(Builtin],)i(page)f(59\).)45 b(The)31 b(\014rst)f(c)m
-(haracter)630 4714 y(of)k Ft(PS4)g Fu(is)g(replicated)i(m)m(ultiple)f
+(haracter)630 5230 y(of)k Ft(PS4)g Fu(is)g(replicated)i(m)m(ultiple)f
 (times,)h(as)e(necessary)-8 b(,)37 b(to)e(indicate)g(m)m(ultiple)g(lev)
-m(els)h(of)630 4823 y(indirection.)41 b(The)30 b(default)h(is)f(`)p
-Ft(+)g Fu('.)150 4972 y Ft(PWD)336 b Fu(The)30 b(curren)m(t)g(w)m
-(orking)h(directory)g(as)f(set)h(b)m(y)f(the)h Ft(cd)f
-Fu(builtin.)150 5121 y Ft(RANDOM)192 b Fu(Eac)m(h)30
-b(time)g(this)f(parameter)g(is)g(referenced,)h(a)f(random)g(in)m(teger)
-h(b)s(et)m(w)m(een)g(0)f(and)g(32767)630 5230 y(is)i(generated.)43
-b(Assigning)31 b(a)g(v)-5 b(alue)31 b(to)g(this)g(v)-5
-b(ariable)31 b(seeds)g(the)g(random)f(n)m(um)m(b)s(er)f(gen-)630
-5340 y(erator.)p eop end
+m(els)h(of)630 5340 y(indirection.)41 b(The)30 b(default)h(is)f(`)p
+Ft(+)g Fu('.)p eop end
 %%Page: 78 84
 TeXDict begin 78 83 bop 150 -116 a Fu(Chapter)30 b(5:)41
-b(Shell)30 b(V)-8 b(ariables)2459 b(78)150 299 y Ft(READLINE_LINE)630
-408 y Fu(The)27 b(con)m(ten)m(ts)i(of)f(the)g(Readline)g(line)g
-(bu\013er,)f(for)h(use)f(with)g(`)p Ft(bind)j(-x)p Fu(')d(\(see)h
-(Section)h(4.2)630 518 y([Bash)i(Builtins],)g(page)g(48\).)150
-667 y Ft(READLINE_POINT)630 776 y Fu(The)23 b(p)s(osition)g(of)g(the)h
+b(Shell)30 b(V)-8 b(ariables)2459 b(78)150 299 y Ft(PWD)336
+b Fu(The)30 b(curren)m(t)g(w)m(orking)h(directory)g(as)f(set)h(b)m(y)f
+(the)h Ft(cd)f Fu(builtin.)150 460 y Ft(RANDOM)192 b
+Fu(Eac)m(h)30 b(time)g(this)f(parameter)g(is)g(referenced,)h(a)f
+(random)g(in)m(teger)h(b)s(et)m(w)m(een)g(0)f(and)g(32767)630
+569 y(is)i(generated.)43 b(Assigning)31 b(a)g(v)-5 b(alue)31
+b(to)g(this)g(v)-5 b(ariable)31 b(seeds)g(the)g(random)f(n)m(um)m(b)s
+(er)f(gen-)630 679 y(erator.)150 840 y Ft(READLINE_LINE)630
+949 y Fu(The)e(con)m(ten)m(ts)i(of)f(the)g(Readline)g(line)g(bu\013er,)
+f(for)h(use)f(with)g(`)p Ft(bind)j(-x)p Fu(')d(\(see)h(Section)h(4.2)
+630 1059 y([Bash)i(Builtins],)g(page)g(48\).)150 1219
+y Ft(READLINE_POINT)630 1329 y Fu(The)23 b(p)s(osition)g(of)g(the)h
 (insertion)f(p)s(oin)m(t)g(in)g(the)g(Readline)h(line)f(bu\013er,)h
-(for)f(use)g(with)g(`)p Ft(bind)630 886 y(-x)p Fu(')30
+(for)f(use)g(with)g(`)p Ft(bind)630 1439 y(-x)p Fu(')30
 b(\(see)h(Section)h(4.2)f([Bash)g(Builtins],)g(page)g(48\).)150
-1035 y Ft(REPLY)240 b Fu(The)30 b(default)g(v)-5 b(ariable)32
-b(for)e(the)g Ft(read)g Fu(builtin.)150 1183 y Ft(SECONDS)144
+1599 y Ft(REPLY)240 b Fu(The)30 b(default)g(v)-5 b(ariable)32
+b(for)e(the)g Ft(read)g Fu(builtin.)150 1760 y Ft(SECONDS)144
 b Fu(This)40 b(v)-5 b(ariable)41 b(expands)f(to)h(the)g(n)m(um)m(b)s
 (er)e(of)i(seconds)g(since)g(the)f(shell)h(w)m(as)g(started.)630
-1293 y(Assignmen)m(t)i(to)g(this)g(v)-5 b(ariable)43
+1870 y(Assignmen)m(t)i(to)g(this)g(v)-5 b(ariable)43
 b(resets)g(the)g(coun)m(t)g(to)g(the)g(v)-5 b(alue)43
-b(assigned,)j(and)c(the)630 1403 y(expanded)35 b(v)-5
+b(assigned,)j(and)c(the)630 1979 y(expanded)35 b(v)-5
 b(alue)36 b(b)s(ecomes)h(the)f(v)-5 b(alue)36 b(assigned)g(plus)f(the)h
-(n)m(um)m(b)s(er)f(of)h(seconds)g(since)630 1512 y(the)31
-b(assignmen)m(t.)150 1661 y Ft(SHELL)240 b Fu(The)29
+(n)m(um)m(b)s(er)f(of)h(seconds)g(since)630 2089 y(the)31
+b(assignmen)m(t.)150 2250 y Ft(SHELL)240 b Fu(The)29
 b(full)h(pathname)g(to)h(the)f(shell)g(is)g(k)m(ept)g(in)g(this)g(en)m
 (vironmen)m(t)g(v)-5 b(ariable.)42 b(If)29 b(it)i(is)f(not)630
-1771 y(set)36 b(when)f(the)h(shell)g(starts,)i(Bash)e(assigns)h(to)f
+2359 y(set)36 b(when)f(the)h(shell)g(starts,)i(Bash)e(assigns)h(to)f
 (it)h(the)f(full)f(pathname)h(of)g(the)g(curren)m(t)630
-1880 y(user's)30 b(login)h(shell.)150 2029 y Ft(SHELLOPTS)630
-2138 y Fu(A)g(colon-separated)h(list)f(of)g(enabled)f(shell)h(options.)
+2469 y(user's)30 b(login)h(shell.)150 2629 y Ft(SHELLOPTS)630
+2739 y Fu(A)g(colon-separated)h(list)f(of)g(enabled)f(shell)h(options.)
 41 b(Eac)m(h)31 b(w)m(ord)f(in)g(the)h(list)g(is)g(a)g(v)-5
-b(alid)630 2248 y(argumen)m(t)28 b(for)f(the)h Ft(-o)e
+b(alid)630 2849 y(argumen)m(t)28 b(for)f(the)h Ft(-o)e
 Fu(option)i(to)g(the)g Ft(set)e Fu(builtin)h(command)g(\(see)i(Section)
-f(4.3.1)h([The)630 2358 y(Set)g(Builtin],)h(page)f(59\).)42
+f(4.3.1)h([The)630 2958 y(Set)g(Builtin],)h(page)f(59\).)42
 b(The)28 b(options)h(app)s(earing)f(in)g Ft(SHELLOPTS)e
-Fu(are)j(those)h(rep)s(orted)630 2467 y(as)g(`)p Ft(on)p
+Fu(are)j(those)h(rep)s(orted)630 3068 y(as)g(`)p Ft(on)p
 Fu(')f(b)m(y)h(`)p Ft(set)g(-o)p Fu('.)40 b(If)29 b(this)h(v)-5
 b(ariable)30 b(is)g(in)f(the)h(en)m(vironmen)m(t)g(when)f(Bash)h
-(starts)g(up,)630 2577 y(eac)m(h)41 b(shell)e(option)h(in)f(the)h(list)
+(starts)g(up,)630 3177 y(eac)m(h)41 b(shell)e(option)h(in)f(the)h(list)
 g(will)f(b)s(e)g(enabled)h(b)s(efore)f(reading)g(an)m(y)h(startup)f
-(\014les.)630 2686 y(This)30 b(v)-5 b(ariable)31 b(is)f(readonly)-8
-b(.)150 2835 y Ft(SHLVL)240 b Fu(Incremen)m(ted)21 b(b)m(y)g(one)g(eac)
+(\014les.)630 3287 y(This)30 b(v)-5 b(ariable)31 b(is)f(readonly)-8
+b(.)150 3448 y Ft(SHLVL)240 b Fu(Incremen)m(ted)21 b(b)m(y)g(one)g(eac)
 m(h)h(time)f(a)h(new)e(instance)h(of)g(Bash)g(is)g(started.)38
-b(This)20 b(is)h(in)m(tended)630 2945 y(to)31 b(b)s(e)f(a)h(coun)m(t)g
+b(This)20 b(is)h(in)m(tended)630 3557 y(to)31 b(b)s(e)f(a)h(coun)m(t)g
 (of)f(ho)m(w)h(deeply)f(y)m(our)g(Bash)h(shells)f(are)h(nested.)150
-3093 y Ft(TIMEFORMAT)630 3203 y Fu(The)f(v)-5 b(alue)32
+3718 y Ft(TIMEFORMAT)630 3828 y Fu(The)f(v)-5 b(alue)32
 b(of)f(this)g(parameter)g(is)g(used)f(as)h(a)g(format)h(string)f(sp)s
-(ecifying)f(ho)m(w)h(the)g(tim-)630 3313 y(ing)37 b(information)f(for)h
+(ecifying)f(ho)m(w)h(the)g(tim-)630 3937 y(ing)37 b(information)f(for)h
 (pip)s(elines)f(pre\014xed)f(with)h(the)h Ft(time)e Fu(reserv)m(ed)i(w)
-m(ord)f(should)g(b)s(e)630 3422 y(displa)m(y)m(ed.)k(The)27
+m(ord)f(should)g(b)s(e)630 4047 y(displa)m(y)m(ed.)k(The)27
 b(`)p Ft(\045)p Fu(')h(c)m(haracter)h(in)m(tro)s(duces)e(an)h(escap)s
-(e)g(sequence)g(that)g(is)f(expanded)g(to)630 3532 y(a)37
+(e)g(sequence)g(that)g(is)f(expanded)g(to)630 4156 y(a)37
 b(time)g(v)-5 b(alue)36 b(or)h(other)f(information.)59
 b(The)36 b(escap)s(e)g(sequences)h(and)e(their)i(meanings)630
-3641 y(are)31 b(as)f(follo)m(ws;)i(the)f(braces)f(denote)h(optional)h
-(p)s(ortions.)630 3790 y Ft(\045\045)384 b Fu(A)30 b(literal)i(`)p
-Ft(\045)p Fu('.)630 3939 y Ft(\045[)p Fj(p)p Ft(][l]R)96
-b Fu(The)30 b(elapsed)h(time)g(in)f(seconds.)630 4088
+4266 y(are)31 b(as)f(follo)m(ws;)i(the)f(braces)f(denote)h(optional)h
+(p)s(ortions.)630 4427 y Ft(\045\045)384 b Fu(A)30 b(literal)i(`)p
+Ft(\045)p Fu('.)630 4587 y Ft(\045[)p Fj(p)p Ft(][l]R)96
+b Fu(The)30 b(elapsed)h(time)g(in)f(seconds.)630 4748
 y Ft(\045[)p Fj(p)p Ft(][l]U)96 b Fu(The)30 b(n)m(um)m(b)s(er)f(of)h
 (CPU)g(seconds)h(sp)s(en)m(t)f(in)g(user)f(mo)s(de.)630
-4236 y Ft(\045[)p Fj(p)p Ft(][l]S)96 b Fu(The)30 b(n)m(um)m(b)s(er)f
+4909 y Ft(\045[)p Fj(p)p Ft(][l]S)96 b Fu(The)30 b(n)m(um)m(b)s(er)f
 (of)h(CPU)g(seconds)h(sp)s(en)m(t)f(in)g(system)g(mo)s(de.)630
-4385 y Ft(\045P)384 b Fu(The)30 b(CPU)g(p)s(ercen)m(tage,)i(computed)e
-(as)h(\(\045U)f Ft(+)g Fu(\045S\))g(/)h(\045R.)630 4534
+5070 y Ft(\045P)384 b Fu(The)30 b(CPU)g(p)s(ercen)m(tage,)i(computed)e
+(as)h(\(\045U)f Ft(+)g Fu(\045S\))g(/)h(\045R.)630 5230
 y(The)23 b(optional)j Fr(p)g Fu(is)e(a)g(digit)h(sp)s(ecifying)e(the)h
 (precision,)i(the)e(n)m(um)m(b)s(er)f(of)h(fractional)h(digits)630
-4643 y(after)36 b(a)f(decimal)i(p)s(oin)m(t.)55 b(A)35
+5340 y(after)36 b(a)f(decimal)i(p)s(oin)m(t.)55 b(A)35
 b(v)-5 b(alue)36 b(of)f(0)h(causes)g(no)f(decimal)h(p)s(oin)m(t)f(or)h
-(fraction)g(to)g(b)s(e)630 4753 y(output.)48 b(A)m(t)34
-b(most)f(three)g(places)h(after)f(the)g(decimal)h(p)s(oin)m(t)f(ma)m(y)
-h(b)s(e)e(sp)s(eci\014ed;)i(v)-5 b(alues)630 4862 y(of)31
-b Fr(p)h Fu(greater)g(than)e(3)h(are)f(c)m(hanged)h(to)g(3.)42
-b(If)29 b Fr(p)k Fu(is)d(not)h(sp)s(eci\014ed,)f(the)h(v)-5
-b(alue)30 b(3)h(is)g(used.)630 4992 y(The)54 b(optional)h
-Ft(l)f Fu(sp)s(eci\014es)g(a)h(longer)f(format,)61 b(including)54
-b(min)m(utes,)61 b(of)54 b(the)g(form)630 5101 y Fr(MM)10
-b Fu(m)p Fr(SS)p Fu(.)p Fr(FF)d Fu(s.)103 b(The)50 b(v)-5
-b(alue)52 b(of)f Fr(p)j Fu(determines)d(whether)f(or)h(not)h(the)f
-(fraction)h(is)630 5211 y(included.)630 5340 y(If)30
-b(this)g(v)-5 b(ariable)31 b(is)g(not)f(set,)i(Bash)e(acts)h(as)g(if)f
-(it)h(had)f(the)h(v)-5 b(alue)p eop end
+(fraction)g(to)g(b)s(e)p eop end
 %%Page: 79 85
 TeXDict begin 79 84 bop 150 -116 a Fu(Chapter)30 b(5:)41
-b(Shell)30 b(V)-8 b(ariables)2459 b(79)870 299 y Ft
-($'\\nreal\\t\0453lR\\nuser\\t\0453)o(lU\\n)o(sys\\)o(t\0453)o(lS')630
-433 y Fu(If)37 b(the)g(v)-5 b(alue)38 b(is)f(n)m(ull,)i(no)f(timing)f
-(information)h(is)f(displa)m(y)m(ed.)62 b(A)37 b(trailing)i(newline)e
-(is)630 543 y(added)30 b(when)f(the)i(format)f(string)h(is)f(displa)m
-(y)m(ed.)150 702 y Ft(TMOUT)240 b Fu(If)22 b(set)h(to)g(a)g(v)-5
+b(Shell)30 b(V)-8 b(ariables)2459 b(79)630 299 y(output.)48
+b(A)m(t)34 b(most)f(three)g(places)h(after)f(the)g(decimal)h(p)s(oin)m
+(t)f(ma)m(y)h(b)s(e)e(sp)s(eci\014ed;)i(v)-5 b(alues)630
+408 y(of)31 b Fr(p)h Fu(greater)g(than)e(3)h(are)f(c)m(hanged)h(to)g
+(3.)42 b(If)29 b Fr(p)k Fu(is)d(not)h(sp)s(eci\014ed,)f(the)h(v)-5
+b(alue)30 b(3)h(is)g(used.)630 543 y(The)54 b(optional)h
+Ft(l)f Fu(sp)s(eci\014es)g(a)h(longer)f(format,)61 b(including)54
+b(min)m(utes,)61 b(of)54 b(the)g(form)630 653 y Fr(MM)10
+b Fu(m)p Fr(SS)p Fu(.)p Fr(FF)d Fu(s.)103 b(The)50 b(v)-5
+b(alue)52 b(of)f Fr(p)j Fu(determines)d(whether)f(or)h(not)h(the)f
+(fraction)h(is)630 762 y(included.)630 897 y(If)30 b(this)g(v)-5
+b(ariable)31 b(is)g(not)f(set,)i(Bash)e(acts)h(as)g(if)f(it)h(had)f
+(the)h(v)-5 b(alue)870 1031 y Ft($'\\nreal\\t\0453lR\\nuser\\t\0453)o
+(lU\\n)o(sys\\)o(t\0453)o(lS')630 1166 y Fu(If)37 b(the)g(v)-5
+b(alue)38 b(is)f(n)m(ull,)i(no)f(timing)f(information)h(is)f(displa)m
+(y)m(ed.)62 b(A)37 b(trailing)i(newline)e(is)630 1275
+y(added)30 b(when)f(the)i(format)f(string)h(is)f(displa)m(y)m(ed.)150
+1435 y Ft(TMOUT)240 b Fu(If)22 b(set)h(to)g(a)g(v)-5
 b(alue)23 b(greater)h(than)e(zero,)j Ft(TMOUT)d Fu(is)g(treated)i(as)e
-(the)h(default)g(timeout)g(for)g(the)630 812 y Ft(read)31
+(the)h(default)g(timeout)g(for)g(the)630 1544 y Ft(read)31
 b Fu(builtin)h(\(see)h(Section)f(4.2)i([Bash)e(Builtins],)h(page)g
-(48\).)47 b(The)32 b Ft(select)e Fu(command)630 922 y(\(see)f(Section)h
-(3.2.4.2)g([Conditional)g(Constructs],)e(page)i(10\))f(terminates)g(if)
-g(input)e(do)s(es)630 1031 y(not)k(arriv)m(e)g(after)g
-Ft(TMOUT)e Fu(seconds)h(when)f(input)h(is)g(coming)h(from)f(a)h
-(terminal.)630 1166 y(In)40 b(an)h(in)m(teractiv)m(e)i(shell,)h(the)d
+(48\).)47 b(The)32 b Ft(select)e Fu(command)630 1654
+y(\(see)f(Section)h(3.2.4.2)g([Conditional)g(Constructs],)e(page)i
+(10\))f(terminates)g(if)g(input)e(do)s(es)630 1763 y(not)k(arriv)m(e)g
+(after)g Ft(TMOUT)e Fu(seconds)h(when)f(input)h(is)g(coming)h(from)f(a)
+h(terminal.)630 1898 y(In)40 b(an)h(in)m(teractiv)m(e)i(shell,)h(the)d
 (v)-5 b(alue)41 b(is)g(in)m(terpreted)g(as)f(the)h(n)m(um)m(b)s(er)f
-(of)h(seconds)f(to)630 1275 y(w)m(ait)28 b(for)e(a)g(line)h(of)g(input)
+(of)h(seconds)f(to)630 2007 y(w)m(ait)28 b(for)e(a)g(line)h(of)g(input)
 e(after)i(issuing)f(the)h(primary)e(prompt.)39 b(Bash)26
-b(terminates)h(after)630 1385 y(w)m(aiting)32 b(for)e(that)h(n)m(um)m
+b(terminates)h(after)630 2117 y(w)m(aiting)32 b(for)e(that)h(n)m(um)m
 (b)s(er)e(of)h(seconds)h(if)f(a)h(complete)h(line)e(of)h(input)e(do)s
-(es)h(not)h(arriv)m(e.)150 1544 y Ft(TMPDIR)192 b Fu(If)39
+(es)h(not)h(arriv)m(e.)150 2276 y Ft(TMPDIR)192 b Fu(If)39
 b(set,)j(Bash)e(uses)f(its)h(v)-5 b(alue)40 b(as)f(the)h(name)f(of)h(a)
-g(directory)g(in)f(whic)m(h)g(Bash)h(creates)630 1654
+g(directory)g(in)f(whic)m(h)g(Bash)h(creates)630 2386
 y(temp)s(orary)30 b(\014les)g(for)g(the)h(shell's)g(use.)150
-1813 y Ft(UID)336 b Fu(The)30 b(n)m(umeric)g(real)h(user)f(id)g(of)g
+2545 y Ft(UID)336 b Fu(The)30 b(n)m(umeric)g(real)h(user)f(id)g(of)g
 (the)h(curren)m(t)f(user.)40 b(This)30 b(v)-5 b(ariable)31
 b(is)f(readonly)-8 b(.)p eop end
 %%Page: 80 86
